Public Member Functions | Public Attributes | Friends | List of all members
StarWriterStruct::NodeRedline Struct Reference

structure to store a nodeRedline in a text zone More...

`#include <StarWriterStruct.hxx>`

## Public Member Functions
| NodeRedline ()
| constructor
bool | read (StarZone &zone)
| try to read a nodeRedline

## Public Attributes
int | m_id
| the id
int | m_offset
| the offset
int | m_flags
| the flags

## Friends
std::ostream & | operator<< (std::ostream &o, NodeRedline const &nodeRedline)
| operator<<

## Detailed Description

structure to store a nodeRedline in a text zone

## Constructor & Destructor Documentation

## ◆ NodeRedline()

StarWriterStruct::NodeRedline::NodeRedline | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ read()

bool StarWriterStruct::NodeRedline::read | ( | StarZone & | zone | ) |

try to read a nodeRedline

Referenced by StarTableInternal::Table::read(), StarObjectText::readSWContent(), and StarObjectText::readSWTextZone().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | NodeRedline const & | nodeRedline )
| friend

operator<<

## Member Data Documentation

## ◆ m_flags

int StarWriterStruct::NodeRedline::m_flags

the flags

Referenced by read().

## ◆ m_id

int StarWriterStruct::NodeRedline::m_id

the id

Referenced by read().

## ◆ m_offset

int StarWriterStruct::NodeRedline::m_offset

the offset

Referenced by read().

The documentation for this struct was generated from the following files:

- StarWriterStruct.hxx
- StarWriterStruct.cxx